Meetings

Update meeting

Updates a meeting's name, notes, or private notes. Returns only the fields that were updated.

PUT
/meeting/{meetingId}

Path Parameters

meetingId*string

The unique identifier of the meeting.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/meeting/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Event Venue Review",    "notes": "#### Overview\\n* Several options for event venues were reviewed…",    "privateNotes": "Ask Samantha about the Sunriver deposit before Friday."  }'
{  "id": "string",  "name": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "duration": 0,  "url": "string",  "recordingUrl": "string",  "tags": [    {      "id": 1,      "name": "string",      "description": "string"    }  ],  "icalUid": "string",  "attendees": [    {      "profileId": 1,      "name": "string",      "title": "string",      "companyName": "string",      "email": "string",      "isCalendarEventOrganizer": true,      "isCalendarInvitee": true    }  ],  "notes": "string",  "privateNotes": "string",  "actionItems": [    {      "id": 1,      "title": "string",      "description": "string",      "assignee": {        "profileId": 1,        "name": "John Appleseed",        "title": "Head of Operations",        "companyName": "Initech",        "email": "john@initech.com"      },      "status": "PENDING"    }  ],  "insights": {    "property1": [      {        "speaker": "string",        "timestamp": 0,        "insight": "string"      }    ],    "property2": [      {        "speaker": "string",        "timestamp": 0,        "insight": "string"      }    ]  },  "linkAccess": "Editor",  "calendarEvent": {    "id": 1,    "icalUid": "string",    "description": "string",    "platform": "GoogleCalendar",    "platformId": "string"  }}
{  "code": "string",  "error": "string",  "issues": [    {      "message": "string",      "path": "string"    }  ]}